<template>
  <div class="card allBets">
    <div class="flex flex-between">
      <div>
        {{$t('bets.all')}}: <span :class="betsCount===0 ? 'color-white ':'color-orange'">{{betsCount}}</span>
      </div>
      <div>
        {{$t('playTable.total')}}: <span :class="betsTotal===0 ? 'color-white ':'color-orange'">{{betsTotal}} EOS</span>
      </div>
    </div>
    <div class="flex flex-center">
      <Progress
        :value="progress"
      ></Progress>
    </div>
  </div>
</template>

<script>
  import Progress from '~/components/UI/Progress';
  import {mapState} from 'vuex';
  import {flooring} from "../utils";

  export default {
    name: "AllBets",
    data() {
      return {}
    },
    components: {
      Progress
    },
    computed: {
      ...mapState({
        betsTotal: state => flooring(state.game.bets.total),
        betsCount: state => state.game.bets.allCount,
        cap: state => state.game.settings.cap,
        isDemo: state => state.common.demo,
        progress() {
          return (parseInt(this.betsTotal / this.cap * 10000) / 100) + '%';
        }
      })
    }
  }
</script>
